ru.bitel.bgbilling.modules.voice.api.common.bean

## Class AbtractVoiceAccount

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.voice.api.common.bean.AbtractVoiceAccount

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem
  Direct Known Subclasses:
    VoiceAccount, VoiceOperAccount

      public class AbtractVoiceAccount
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `contractComment`
    `protected int` | `deviceId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbtractVoiceAccount()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContractComment()` Получение строки с комментарием договора
    `int` | `getContractId()` Получение кода договора, к которому привязан данный аккаунт
    `java.lang.String` | `getContractTitle()` Получение названия договора
    `java.util.Date` | `getDateFrom()` Получение даты начала действия аккаунта
    `java.util.Date` | `getDateTo()` Получение даты окончания действия аккаунта.
    `int` | `getDeviceId()` Получение кода устройства, к которому привязан аккаунт.
    `int` | `getTypeId()` Получение кода типа аккаунта
    `void` | `setContractComment(java.lang.String contractComment)` Установка комментария договора
    `void` | `setContractId(int contractId)` Установка кода договора для аккаунта
    `void` | `setContractTitle(java.lang.String contractTitle)` Установка названия договора
    `void` | `setDateFrom(java.util.Date dateFrom)` Установка даты начала действия аккаунта.
    `void` | `setDateTo(java.util.Date dateTo)` Установка даты окончания действия аккаунта.
    `void` | `setDeviceId(int deviceId)` Установка кода устройства, к которому привязывается аккаунт
    `void` | `setTypeId(int typeId)` Установка кода типа аккаунта

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### contractComment

          protected java.lang.String contractComment

    - #### deviceId

          protected int deviceId

  - ### Constructor Detail

    - #### AbtractVoiceAccount

          public AbtractVoiceAccount()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

      Получение кода договора, к которому привязан данный аккаунт
      Returns:
        код договора

    - #### setContractId

          public void setContractId(int contractId)

      Установка кода договора для аккаунта
      Parameters:
        `contractId` - код договора

    - #### getContractTitle

          public java.lang.String getContractTitle()

      Получение названия договора
      Returns:
        название договора

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

      Установка названия договора
      Parameters:
        `contractTitle` - название договора

    - #### getDateFrom

          public java.util.Date getDateFrom()

      Получение даты начала действия аккаунта
      Returns:
        дата начала действия аккаунта

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

      Установка даты начала действия аккаунта.
      Parameters:
        `dateFrom` - дата начала действия аккаунта

    - #### getDateTo

          public java.util.Date getDateTo()

      Получение даты окончания действия аккаунта.
      Returns:
        дата окончания действия аккаунта

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

      Установка даты окончания действия аккаунта.
      Parameters:
        `dateTo` - дата окончания действия аккаунта

    - #### getTypeId

          public int getTypeId()

      Получение кода типа аккаунта
      Returns:
        код типа аккаунта

    - #### setTypeId

          public void setTypeId(int typeId)

      Установка кода типа аккаунта
      Parameters:
        `typeId` - код типа аккаунта

    - #### getContractComment

          public java.lang.String getContractComment()

      Получение строки с комментарием договора
      Returns:
        комментарий договора

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

      Установка комментария договора
      Parameters:
        `contractComment` -

    - #### getDeviceId

          public int getDeviceId()

      Получение кода устройства, к которому привязан аккаунт.
      Returns:
        код устройства

    - #### setDeviceId

          public void setDeviceId(int deviceId)

      Установка кода устройства, к которому привязывается аккаунт
      Parameters:
        `deviceId` - код устройства